Bug 226239 - Merge Review: perl-Archive-Tar
Merge Review: perl-Archive-Tar
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Package Reviews List
Depends On:
Blocks: 607687
  Show dependency treegraph
Reported: 2007-01-31 15:21 EST by Nobody's working on this, feel free to take it
Modified: 2011-09-12 10:02 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.30-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-28 16:30:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mastahnke: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:21:52 EST
Fedora Merge Review: perl-Archive-Tar

Initial Owner: rnorwood@redhat.com
Comment 1 Michael Stahnke 2007-02-15 23:52:48 EST
 OK - Package meets naming and packaging guidelines
 OK - Spec file matches base package name.
 OK - Spec has consistant macro usage.
 OK - Meets Packaging Guidelines.
 XX-  License is GPL or Artistic ok?
 OK - License field in spec matches
 XX- License file included in package  -- no license included
 OK - Spec in American English
 OK - Spec is legible.
 OK - Sources match upstream md5sum:
 OK - BuildRequires correct
 OK - Package has %defattr and permissions on files is good.
 OK - Package has a correct %clean section.
 OK - Package has correct buildroot
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 OK - Package is code or permissible content.
 OK - Packages %doc files don't affect runtime.
 OK - Package compiles and builds on at least one arch.
 OK - Package has no duplicate files in %files.
 OK - Package doesn't own any directories other packages own.
 OK - Package owns all the directories it creates.
 OK - Should build in mock.
 OK - Should build on all supported archs
 OK - Should function as described.
 OK - Should have sane scriptlets.
 OK - Should have dist tag
 OK - Should package latest version

XX - No rpmlint output

[builder@rawhide SRPMS]$ rpmlint -i perl-Archive-Tar-1.30-1.src.rpm
W: perl-Archive-Tar mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 3)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.
Comment 2 Robin Norwood 2007-02-16 11:01:58 EST
 XX-  License is GPL or Artistic ok?
 XX- License file included in package  -- no license included

As tibbs pointed out to us on IRC today, the license is included in the POD for
this package:


Or 'perldoc Archive::Tar' on a system with the package installed.

'GPL or Artistic' is standard for most CPAN modules.

 XX - No rpmlint output
Should be fixed with perl-Archive-Tar-1.30-2.fc7.src.rpm, available soon.

Thanks for the review!
Comment 3 Ralf Corsepius 2007-02-16 11:16:52 EST
> the license is included in the POD for this package:
This is standared for most CPAN dist.

> 'GPL or Artistic' is standard for most CPAN modules.
This is the shortcut we once had agreed upon to use, when a perl-module's
copyright carries license notice of this kind:

"This library is free software; you may redistribute and/or modify it under the
same terms as Perl itself."

So licensing-wise this package seems OK.

Wrt. to license files we once also had agreed upon NOT to require detached
license files, unless the package contains one. i.e. if a perl-module contains
one you MUST add it to %doc, if not you don't have to add one.

So. both rpmlint complains are void.

Comment 4 Michael Stahnke 2007-02-16 20:05:58 EST
Looks good, built and tested on rawhide.  Marking Approved. 
Comment 5 Jose Pedro Oliveira 2007-02-18 14:44:14 EST

A couple more items that could be addressed are:

 * find options order: -depth before -type

   Avoids the warning: "find: warning: you have specified the -depth option
after a non-option argument -type, but options are not positional (-depth
affects tests specified before it as well as those specified after it).  Please
specify options before other arguments."

 * check section: remove the '|| :'

   The characters '|| :' were only meaningful for rpm < 4.2
   (they prevented a bash error as the %check scriptlet was only
    added in rpm 4.2)
 * perl build requirement

   Not necessary as the current build root includes the perl package
  (rpm-build requirment).

Comment 6 Robin Norwood 2007-02-19 16:44:14 EST
jpo: Ok, your fixes are incorporated into 1.30-3 - let me know if anything seems
Comment 7 Michael Stahnke 2007-03-03 23:22:42 EST
Everything looks good, but I do this is changelog is odd.  I don't know if it is
common policy to go back and fix something like this or not. 

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job

Comment 8 Patrice Dumas 2007-03-04 05:18:08 EST
It is ok to correct changelogs after the fact, especially in that case.
Comment 9 Jose Pedro Oliveira 2007-03-04 12:51:33 EST
The changelog entry should have been:

< * Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job
> * Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.29-1.1

Note: Almost every core package has a similar changelog entry (a script used for
one of the mass FC-6 rebuilds mishaved).
Comment 10 Robin Norwood 2007-03-05 16:54:07 EST
Ok, fixed the changelog in -4.
Comment 11 Jose Pedro Oliveira 2007-06-28 16:30:11 EDT
Closing this ticket (everything mentioned has been corrected).
Comment 12 Marcela Mašláňová 2010-07-08 08:19:59 EDT
New Package CVS Request
Package Name: perl-Archive-TAR
Short Description: A module for Perl manipulation of .tar files
Owners: mmaslano psabata ppisar
Branches: devel
InitialCC: perl-sig

Please re-open this cvs for latest version of Archive::Tar. Also it's needed un-kill this package from database.
Comment 13 Kevin Fenzi 2010-07-09 14:06:54 EDT
I'm confused. 

This package is renaming upstream from 
perl-Archive-Tar to perl-Archive-TAR?

Or what is going on here?

if it's a rename you need to submit the new package for review.
Comment 14 Marcela Mašláňová 2010-07-12 01:49:03 EDT
That's typo. Correct request:

New Package CVS Request
Package Name: perl-Archive-Tar
Short Description: A module for Perl manipulation of .tar files
Owners: mmaslano psabata ppisar
Branches: devel
InitialCC: perl-sig

It was marked as dead and I need re-open this cvs in devel branch.
Comment 15 Kevin Fenzi 2010-07-12 13:07:25 EDT
I see a devel branch... just import the src.rpm and file a rel-eng ticket to 
get it unblocked.
Comment 16 Petr Pisar 2011-01-10 04:35:57 EST
This package is missing `perl-sig' in InitialCC: https://admin.fedoraproject.org/pkgdb/acls/name/perl-Archive-Tar
Comment 17 Petr Pisar 2011-09-12 04:18:39 EDT
Package Change Request
Package Name: perl-Archive-Tar
New Branches: f14 f15 f16 
InitialCC: perl-sig

As noted in comment #16, `perl-sig' user is missing watchbugzilla and watchcommits roles which is required by Perl Fedora packaging guidelines. Please add this pseudo-user with these two permissions into all Fedora branches. Please note this action cannot be proceeded by regular package owner as public Koji interface does not support it.
Comment 18 Jon Ciesla 2011-09-12 08:49:16 EDT
Please list an owner.
Comment 19 Petr Pisar 2011-09-12 09:06:09 EDT
Keep owners as they are. The branches already exist. I only need to add the one user.
Comment 20 Jon Ciesla 2011-09-12 10:02:58 EDT
I can't add the user in SCM, users are managed via pkgdb.  I don't have the ability in pkgdb to add a user to a package, that user will need to request the desired access there and have it approved by someone with approveacls on that package, which includes myself.

Note You need to log in before you can comment on or make changes to this bug.